* {
    margin: 0px;
    padding: 0px;
    caret-color: transparent;
}

/*-------------- BASE FEATURES --------------*/

@font-face {
    font-family: "Poppins";
    src: url("./fonts/Poppins-Regular.ttf") format("opentype");
    font-weight: normal; /* opcional */
    font-style: normal;  /* opcional */
}

@font-face {
    font-family: "ArchivoBlack";
    src: url("./fonts/ArchivoBlack-Regular.ttf") format("opentype");
    font-weight: normal; /* opcional */
    font-style: normal;  /* opcional */
}

body {
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
    /*cursor: url("../images/icons/cursor_funnel.png") 16 16, auto;*/
    background-color: black;
}

.section {
    overflow: hidden;
}

.full-screen {
    width: 100%;
    min-height: 100vh;
}

.fixed-full-screen {
    width: 100%;
    height: 100vh;
}

.main-spacing {
    padding: 0px 50px;
}

.minimum-width-containment {
    max-width: 1200px;
}

.mobile {
    display: none !important;
}

.desktop {
    display: flex !important;
}

.social_media_list {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style: none;
    margin: 0;
    padding: 0;
}

/* fallback para Safari antigo (substitui gap) */
.social_media_list li {
    margin: 0 5px;
}

/* remove margem extra nas bordas */
.social_media_list li:first-child {
    margin-left: 0;
}

.social_media_list li:last-child {
    margin-right: 0;
}

.icon-link {
    height: 30px;
}

.icon-link .icon {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

/*--------------------------------------*/

/*-------------- Header --------------*/

header {
    position: fixed;
    top: 0px;
    z-index: 9999;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav_shadow {
    width: 80%;
    filter: drop-shadow(0px 0px 7px rgb(0, 0, 0));
}

/* SEU NAV */
.nav_menu_container {
    height: 80px;
    background-color: #282828;
    padding: 0px 20px;

    clip-path: polygon(
        0% 0%,
        100% 0%,
        90% 100%,
        10% 100%
    );

    display: flex;
    justify-content: center;
    align-items: center;

}

.nav_sizer {
    width: 80%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo_nav_container {
    width: 132px;
    display: flex;
    justify-content: center;
}

.logo_nav_container a {
    display: flex;
    align-items: center;
}

.logo_nav_container img {
    height: 50px;
}

nav ul {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    list-style: none;
    padding: 0px;
    margin: 0px;
}

nav ul li {
   position:relative;
   overflow:hidden;
}

nav ul li::before{
    content:"";
    position:absolute;
    inset:0;
    background:white;
    transform:scaleX(0);
    transform-origin:left;
    transition:transform .35s cubic-bezier(.77,0,.18,1);
    z-index:1;
}

nav ul li a{
    display:block;
    padding: 0px 5px;
    color:#fff;
    text-decoration:none;
    position:relative;
    z-index:2;
    transition:color .35s ease;
}

nav ul li:hover::before{
    transform:scaleX(1);
}

nav ul li:hover a{
    color:black;
}

.contact_btn_container {
    background-color: #FBD010;
    /*background-image: url("../images/backgrounds/danger_2.png");
    background-size: cover;
    background-position: center;*/
    padding: 3px 8px;
    border-radius: 8px;
    text-decoration: none;
}

#contact-btn {
    background-color: #FBD010;
    color: black;
    text-decoration: none;
    font-weight: bold;
    padding: 0px 5px;
    border-radius: 7rem;
}

.menu-overlay {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    background-color:#1f1f1f;
    transform: translateX(100%);
    transition: transform 0.4s cubic-bezier(0.4, 0, 0.2, 1);
    z-index: 999;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    padding-top: 100px;
    text-align: center;
}

.menu-overlay ul {
    list-style: none;
    flex-direction: column;
}

.menu-overlay a {
    text-decoration: none;
    font-size: 30px;
}

.menu-content{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    height: 75%;
}
   
.menu-content li{
    margin-bottom: 10px;
}

.menu-overlay .icon {
    height: 40px;
    width: 40px;
}

.menu-overlay.active {
    transform: translateX(0);
}

.hamburger-btn {
    background: transparent;
    border: none;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 6px;
    padding: 0;
    position: relative;
    transition: border-color 0.3s ease;
}

.bar {
    width: 32px;
    height: 3px;
    background: #fff;
    transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1),
                opacity 0.3s cubic-bezier(0.4, 0, 0.2, 1),
                background-color 0.6s ease;
    will-change: transform, opacity;
}

.bar.light {
  background: #0f172a;
}

.bar.dark {
  background: #ffffff;
}

.hamburger-btn.active .bar:nth-child(1) {
    transform: translateY(9px) rotate(45deg);
}

.hamburger-btn.active .bar:nth-child(2) {
    opacity: 0;
    transform: scale(0.8);
}

.hamburger-btn.active .bar:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
}

.hamburger-btn.active .bar:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
}

#mobile-menu-logo {
    height: 60px;
}

/*--------------------------------------*/

/*-------------- Logo Section --------------*/

#logos {
    display: flex;
    justify-content: center;
    align-items: center;
}

.logos_container {
    width: 100%;
    max-width: 1200px;
}

.logos_pannel {
    padding: 20px;
    background-color: #282828;
    border-radius: 20px;
    width: 100%;
    padding: 30px;
}

.carousel-wrapper {
  position:relative;
  width:100%;
  display:flex;
  align-items:center;
}

.logo-carousel {
  overflow-x: auto;
  width:100%;
  cursor:grab;

  scrollbar-width: thin;
  scrollbar-color: rgba(255,255,255,0.2) transparent;
}

.logo-carousel::-webkit-scrollbar {
  height: 4px;
}

.logo-carousel::-webkit-scrollbar-track {
  background: transparent;
}

.logo-carousel::-webkit-scrollbar-thumb {
  background: rgba(255,255,255,0.2);
  border-radius: 10px;
}

.logo-carousel::-webkit-scrollbar-thumb:hover {
  background: rgba(255,255,255,0.35);
}

.carousel-track{
  display:flex;
  gap:100px;

  overflow-x:auto;
  scroll-behavior:smooth;

  cursor:grab;
}

.carousel-track:active{
  cursor:grabbing;
}

.logo{
  display:flex;
  justify-content:center;
  position: relative;
}

.logo img {
  height:200px;
  user-select:none;
  pointer-events:none;
}

.logo_nav {
  position:absolute;
  top:50%;
  transform:translateY(-50%);
  width:40px;
  height:40px;
  border:none;
  background:black;
  color:white;
  border-radius:50%;
  cursor:pointer;
  z-index:10;
}

.logo_prev { left:10px }
.logo_next { right:10px }

.logo_dl_btn {
    position: absolute;
    background-color: #FBD010;
    padding: 3px 10px;
    top: 0px;
    right: 0px;
    border-radius: 5px;
    color: black;
    text-decoration: none;
    z-index: 999;
}

/*-------------- media Section --------------*/

#media {
    display: flex;
    justify-content: center;
    align-items: center;
}

.media_container {
    width: 100%;
    max-width: 1200px;
}

.media_pannel {
    padding: 20px;
    background-color: #282828;
    border-radius: 20px;
    width: 100%;
    padding: 30px;
    overflow: hidden;
}

.gallery {
  width:100%;
  margin:auto;
}

.viewer {
  position:relative;
  width:100%;
  height:420px;
  display:flex;
  justify-content:center;
  align-items:center;
  margin-bottom:40px;
  background-color: black;
  border-radius: 10px;
}

.viewer img {
  max-width:100%;
  max-height:100%;
  object-fit:contain;
}

.media_nav {
  position:absolute;
  top:50%;
  transform:translateY(-50%);
  width:45px;
  height:45px;
  border:none;
  background:rgba(0,0,0,0.6);
  color:white;
  font-size:22px;
  border-radius:50%;
  cursor:pointer;
}

.media_prev {
  left:15px;
}

.media_next {
  right:15px;
}

.carousel {
  overflow:hidden;
  width:100%;
}

.media_track {
  display:flex;
  gap:20px;
  transition:transform .4s ease;
}

.thumb {
  flex:0 0 auto;
  width:110px;
  height:70px;
  opacity:.6;
  cursor:pointer;
}

.thumb img {
  width:100%;
  height:100%;
  object-fit:cover;
}

.thumb.active {
  opacity:1;
  transform:scale(1.15);
}

#media_dl_btn {
    position: absolute;
    background-color: #FBD010;
    padding: 3px 10px;
    top: 20px;
    right: 20px;
    border-radius: 5px;
    color: black;
    text-decoration: none;
    z-index: 999;
}

/*-------------- Display --------------*/

.display-tabs{
  width:100%;
}

.display-nav{
  display:flex;
  gap:10px;
  margin-bottom:20px;
}

.display-tab{
  padding:10px 20px;
  border:none;
  background:#222;
  color:white;
  cursor:pointer;
}

.display-tab.active{
  background:#555;
}

.display-view{
  display:none;
}

.display-view.active{
  display:block;
}


/*-------------- Video Display --------------*/

.video_viewer{
    position:relative;
    height:420px;
    display:flex;
    justify-content:center;
    align-items:center;
    background-color: black;
    border-radius: 10px;
    margin-bottom:40px;
    overflow: hidden;
}

.video_viewer video{
    width:100%;
    height:100%;
    object-fit:contain;
}

.video_nav{
    position:absolute;
    top:50%;
    transform:translateY(-50%);
    width:45px;
    height:45px;
    border:none;
    background:rgba(0,0,0,0.6);
    color:white;
    border-radius:50%;
    cursor:pointer;
    font-size: 22px;
}

.video_prev{ left:15px; z-index: 99;}
.video_next{ right:15px; }

.video_carousel{
    overflow:hidden;
    margin-top:20px;
}

.video_track{
    display:flex;
    gap:20px;
    transition:transform .4s ease;
}

.video_thumb{
    flex:0 0 auto;
    width:120px;
    height:70px;
    opacity:.5;
    cursor:pointer;
}

.video_thumb img{
    width:100%;
    height:100%;
    object-fit:cover;
}

.video_thumb.active{
    opacity:1;
    transform:scale(1.15);
}

#video_dl_btn {
    position: absolute;
    background-color: #FBD010;
    padding: 3px 10px;
    top: 20px;
    right: 20px;
    border-radius: 5px;
    color: black;
    text-decoration: none;
    z-index: 99;
}

/*-------------- Art Display --------------*/

.art_gallery{
  width:100%;
  margin:auto;
}

/* viewer */

.art_viewer{
  position:relative;
  height:420px;
  display:flex;
  justify-content:center;
  align-items:center;
  background:black;
  border-radius:10px;
  margin-bottom:40px;
  overflow:hidden;
}

.art_viewer img{
  max-width:100%;
  max-height:100%;
  object-fit:contain;
}

/* nav */

.art_nav{
  position:absolute;
  top:50%;
  transform:translateY(-50%);
  width:45px;
  height:45px;
  border:none;
  background:rgba(0,0,0,0.6);
  color:white;
  font-size:22px;
  border-radius:50%;
  cursor:pointer;
}

.art_prev{ left:15px; }
.art_next{ right:15px; }

/* carousel */

.art_carousel{
  overflow:hidden;
}

.art_track{
  display:flex;
  gap:20px;
  transition:transform .4s ease;
}

.art_thumb{
  flex:0 0 auto;
  width:110px;
  height:70px;
  opacity:.5;
  cursor:pointer;
  transition:.3s;
}

.art_thumb img{
  width:100%;
  height:100%;
  object-fit:cover;
}

.art_thumb.active{
  opacity:1;
  transform:scale(1.2);
}

#art_dl_btn {
    position: absolute;
    background-color: #FBD010;
    padding: 3px 10px;
    top: 20px;
    right: 20px;
    border-radius: 5px;
    color: black;
    text-decoration: none;
    z-index: 999;
}

/*-------------- Footer --------------*/

footer {
    background-color: #282828;
    height: 200px;
    padding: 50px 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 99;
}

footer img {
    height: 100%;
}

.bg-metal-worn {
    background:
        radial-gradient(circle at 30% 25%, rgba(255,255,255,0.05), transparent 45%),
        radial-gradient(circle at 70% 60%, rgba(0,0,0,0.08), transparent 50%),
        repeating-linear-gradient(
            80deg,
            rgba(255,255,255,0.025) 0,
            rgba(255,255,255,0.025) 1px,
            transparent 1px,
            transparent 3px
        ),
        #2b2b2b;
}

.bg-metal {
    background:
       linear-gradient(90deg, 
       rgb(242 247 0 / 2%), 
       rgba(0, 0, 0, 0.05), 
       rgb(242 247 0 / 2%)), #2b2b2b
}

/*--------------------------------------*/



@media (max-width: 1440px) {

   .parallax_text_content {
        padding: 0px 150px;
    }

}

@media (max-width: 1024px) {

    nav ul {
        gap: 30px;
    }

    .wishlist_now_btn {
        font-size: 2vw;
    }

    .old_monitor_content_container {
        padding: 30px 60px 170px 60px;
    }

    .parallax_text_content {
        padding: 0px 50px;
    }

}

@media (max-width: 820px) {

    .mobile {
        display: flex !important;
    }
    
    .desktop {
        display: none !important;
    }

    .wishlist_now_btn {
        font-size: 3vw;
    }

    .nav_menu_container {
        width: 100%;
        height: 60px;
        clip-path: polygon(
            0% 0%,    /* vértice 1 */
            100% 0%,   /* vértice 2 */
            100% 100%,  /* vértice 3 */
            00% 100%     /* vértice 4 */
        );
        padding: 0px 50px;
    }

    .wishlist_container iframe{
        transform: scale(1);
    }

    .nav_sizer {
        width: 100%;
    }

    .nav_shadow {
        width: 100%;
    }

    .logo_nav_container {
        width: auto;
    }

    .logo_hero_container img {
        width: 60%;
    }

    .about_pannel_container {
        grid-template-columns: 1fr;
    }

    .gameplay_container {
        grid-template-columns: 1fr;
    }

    .old_monitor_content_container {
        padding: 30px 60px 170px 60px;
    }

    .parallax_text_content {
        flex-direction: column;
        justify-content: center;
    }

    .parallax_text_item {
        margin-bottom: 10px;
    }

    .parallax_text_content h3 {
        font-size: clamp(16px, 12cqw, 35px);
        margin-bottom: 40px;
    }

    .bush {
        bottom: -700px;
    }

    .lamp-scene{
        padding-bottom: 100px;
    }

    #about {
        padding: 200px 0px;
    }
    
}

@media (max-width: 630px) {

    .wishlist_container iframe{
        transform: scale(0.65);
    }

    .old_monitor_content_container {
        padding: 30px 60px 150px 60px;
    }

}


@media (max-width: 425px) {

    .wishlist_container iframe{
        transform: scale(0.65);
    }
    
    .nav_menu_container {
        padding: 0px 20px;
    }

    .main-spacing {
        padding: 0px 20px;
    }

    .logo_hero_container img {
        width: 86%;
    }

    .old_monitor_content_container {
        padding: 30px 45px 100px 45px;
    }

}

@media (max-width: 375px) {

    .wishlist_container iframe{
        transform: scale(0.55);
    }

    .display-tab{
        padding:5px 10px;
        font-size: 10px;
    }

    .media_pannel {
        padding: 20px 10px;
    }

}

@media (max-width: 320px) {

    .wishlist_container iframe{
        transform: scale(0.50);
    }

    .old_monitor_content_container {
        padding: 30px 35px 100px 35px;
    }

}